Subject: Re: on builds/randconfigs (was: [PATCH -next] thermal: depends on NET)

From: Len Brown <[email-masked]>
Date: Wed, 12 Jan 2011 16:58:26 -0500 (EST)

> > These unusable config combinations should be prevented via Kconfig. 
> > That prevents users from selecting them, which otherwise adds to
> > our workload and to theirs.  It also prevents false-positives
> > during our useful randconfig testing.
> 
> But it is kind of difficult to achieve IMhO.  For example, there are options
> that are only SELECTed if something else is set, but randconfig doesn't seem
> to care.

Kconfig select needs to be fixed so that it is not possible to
select something if that something's dependencies are not met.

This long standing issue is independent of randconfig,
but Randy can probably attest that a measurable portion
of the randconfig failures are due to this bug.

-Len Brown, Intel Open Source Technology Center